#1919 closed defect (fixed)

sparc64: use bsppredriverhook instead of bspstart

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The sparc64 port provides a call-out to install ISR entries during boot-up. This patch moves the call from bspstart to bsppredriverhook so that the call-out runs earlier in the boot sequence. The previous approach had some problems with installing ISRs that need to be ready before console and clock begin.

Attachments (2)

sparc64-bsppredriver.diff (1.8 KB) - added by Gedare Bloom on Sep 20, 2011 at 4:02:48 PM.
Change install ISR callout to bsppredriverhook
sparc64-bsppredriver.ChangeLog (286 bytes) - added by Gedare Bloom on Sep 20, 2011 at 4:03:08 PM.
changelog entries

Download all attachments as: .zip

Change History (4)

Changed on Sep 20, 2011 at 4:02:48 PM by Gedare Bloom

Attachment: sparc64-bsppredriver.diff added

Change install ISR callout to bsppredriverhook

Changed on Sep 20, 2011 at 4:03:08 PM by Gedare Bloom

changelog entries

comment:1 Changed on Oct 6, 2011 at 3:45:25 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed. Thanks.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.